<!-- Container-fluid starts-->
<div class="container-fluid">
    <div class="row">
        <div class="col-sm-12">
            <div class="card">
                <div class="card-header">
                    <h5>Add Promotion</h5>
                </div>
                <div class="card-body">
                    <div class="row product-adding">
                        <div class="col-xl-4">
                            <div class="add-product">
                                <div class="row">
                                    <div class="col-xl-9 xl-50 col-sm-6 col-9">
                                        <img src="assets/images/pro3/1.jpg" alt="" class="img-fluid image_zoom_1">
                                    </div>
                                    <div class="col-xl-3 xl-50 col-sm-6 col-3">
                                        <ul class="file-upload-product">
                                            <!-- <li *ngFor="let item of url; let i=index">
                                                <div class="box-input-file">
                                                    <input class="upload" type="file" (change)="readUrl($event,i)">
                                                    <img class="imgUpload" alt="" [src]="item?.img">
                                                </div>
                                            </li> -->
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-7">
                            <form class="needs-validation" [formGroup]="promoForm" novalidate>
                                <div class="add-product-form">
                                    <div class="form-group row">
                                        <label class="col-xl-3 col-sm-4 mb-0">Name
                                            Promo:</label>
                                        <input class="form-control col-xl-8 col-sm-7" type="text"
                                            [formControl]="promoForm.controls['name']" required >
                                        <div *ngIf="promoForm.controls.name.touched && promoForm.controls.name.errors?.required"
                                            class="text text-danger" formControlName="name">
                                            Promo Name is required.
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label class="col-xl-3 col-sm-4 mb-0">Categorie :</label>
                                        <select [formControl]="promoForm.controls['Categorie']" class="form-control col-xl-8 col-sm-7"
                                            (change)="getallsubcategorie($event)">
                                            <option value="">Choose category...</option>
                                            <option *ngFor="let categorie of listcategorie" [value]="categorie?.id" >
                                                {{categorie?.name}}</option>
                                        </select>
                                        <div *ngIf="promoForm.controls.name.touched && promoForm.controls.name.errors?.required"
                                        class="text text-danger" formControlName="Categorie">
                                        Category Name is required.
                                    </div>
                                    </div>
                                    <div class="form-group row">
                                        <label class="col-xl-3 col-sm-4 mb-0">Sub Category
                                            :</label>
                                        <select class="form-control col-xl-8 col-sm-7" formControlName="idsubcategorie" (change)="getSubcat($event)">
                                            <option *ngFor="let subcategorie of listsubcategorie"
                                                [value]="subcategorie?.id">
                                                {{subcategorie?.name}}</option>
                                        </select>
                                    </div>
                                    <!-- <div class="form-group row">
                                        <label class="col-xl-3 col-sm-4 mb-0">Price :</label>
                                        <input class="form-control col-xl-8 col-sm-7" type="number"
                                            value="{{getPrixpromo()}}">
                                    </div> -->
                                    <div class="form-group row">
                                        <label class="col-xl-3 col-sm-4 mb-0">Start date:</label>
                                        <input class="form-control col-xl-8 col-sm-7" type="date"
                                            formControlName="date_deb">

                                    </div>
                                    <div class="form-group row">
                                        <label class="col-xl-3 col-sm-4 mb-0">End Date:</label>
                                        <input class="form-control col-xl-8 col-sm-7" type="date"
                                            formControlName="date_fin">

                                    </div>

                                    <div class="form-group row">
                                        <label class="col-xl-3 col-sm-4"> Published by :</label>
                                        <input class="form-control col-xl-8 col-sm-7" type="text"
                                            value="{{user?.firstName}} {{user?.lastName}}">
                                    </div>
                                    <div class="form-group row">
                                        <label class="col-xl-3 col-sm-4 mb-0">Description :</label>

                                        <input type="text" class="form-control col-xl-8 col-sm-7"
                                            formControlName="description">

                                    </div>
                                    <div class="form-group row">
                                        <label class="col-xl-3 col-sm-4 mb-0">Image
                                            :</label>
                                        <input type="file" (change)="handleFileInput($event)" name="file"
                                            class="form-control col-xl-8 col-sm-7" id="exampleRepeatPassword"
                                            placeholder="file">
                                    </div>
                                </div>
                            </form>
                        </div>
                        &nbsp; 
                        <div class="form-group row mb-0" *ngIf="idpromo==null">
                            <div class="product-buttons col-sm-1 offset-xl-3 offset-sm-2">
                                <button style="margin-left: 815px;width: 130px;margin-bottom: 35%; " type="button"
                                    class="btn btn-primary mr-1" (click)="onAddPromo()">Add PROMO</button>
                            </div>
                        </div>

                        <div class="form-group row mb-0" *ngIf="idpromo!=undefined">
                            <div class="product-buttons col-sm-8 offset-xl-3 offset-sm-4">
                                <button style="margin-left: 810px;width: 130px; " type="button"
                                    class="btn btn-primary mr-1" (click)="addp()">Add Item</button>
                            </div>
                        </div>

                    </div>
                    <div class="mouuna" *ngIf="add== true">
                        <label>Total Promo : </label>
                        <label id="mouna"> {{getPrixpromo()}} TND</label>
                    </div>
                    <form [formGroup]="addFormItem" novalidate *ngIf="add== true">
                        <div class="form">
                            <div id="batchDelete" class="category-table custom-datatable">
                                <div class="container">
                                    <div class="row">
                                        <div class="col-12 col-sm-12 col-md-12">
                                            <div class="card">
                                                <div class="card-body">
                                                    <div class="table" id="proTeamScroll" tabindex="2"
                                                        style="height: 800px; overflow: hidden; outline: none;">
                                                        <table class="table table-stripe">
                                                            <thead>
                                                                <tr>
                                                                    <th style="width: 11%; ">Image</th>
                                                                    <th style="width: 13%; ">Mark</th>
                                                                    <th style="width: 15%; ">Name</th>
                                                                    <th style="width: 8%; ">Qty</th>
                                                                    <th style="width: 15%; ">Detail</th>
                                                                    <th style="width: 11%; ">Price/1 </th>
                                                                    <th style="width: 7%; ">Discount</th>
                                                                     <th style="width: 11%; ">Real Price </th> 
                                                                    <th style="width: 10%;">Edit</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody >

                                                                <tr>
                                                                    <td>

                                                                        <input type="file"
                                                                            (change)="onFileChange($event)" name="file"
                                                                            multiple
                                                                            class="form-control col-xl-8 col-sm-7"
                                                                            placeholder="file">

                                                                    </td>
                                                                    <td>
                                                                        <select class="form-control digits"
                                                                            formControlName="id_marque">
                                                                            <option *ngFor="let marque of listmarque"
                                                                                [value]="marque?.id">
                                                                                {{marque?.libelle}}</option>
                                                                        </select>
                                                                    </td>
                                                                    <td>
                                                                        <input formControlName="name"
                                                                            class="form-control" type="text" placeholder="name item" >
                                                                    </td>

                                                                    <td style="max-width:200px">
                                                                        <input class="form-control" type="number"
                                                                            formControlName="qte"  ngModel min="1" required="" placeholder="Qty">
                                                                            
                                                                    </td>
                                                                    <td style="max-width:200px">
                                                                        <textarea name="textarea" class="form-control" 
                                                                            formControlName="detail" placeholder="Write something..."></textarea>
                                                                    </td>
                                                                    <td>
                                                                        <input class="form-control" type="number"
                                                                            min="0" formControlName="prixreel"
                                                                            required="" placeholder="price">

                                                                    </td>
                                                                    <td>
                                                                        <input class="form-control" type="number" disabled="true"
                                                                            min="0" formControlName="remise" required="" [value]="this.remise"
                                                                            >
                                                                    </td>
                                                                     <td>
                                                                        <input class="form-control" 
                                                                            formControlName="prixpromo" type="number"
                                                                            min="0" [value]="testPrix" disabled="true">

                                                                    </td> 

                                                                    <td>
                                                                        
                                                                        <button *ngIf="affichTest==false" (click)="onAddItem()" 
                                                                            class="btn btn-success btn-xs">
                                                                            <i class="fa fa-plus"
                                                                                style="color: white !important; padding: -10px;" ></i>
                                                                        </button>
                                                                         <button (click)=" getAVG_price()" *ngIf="affichTest == true"
                                                                        class="btn btn-success btn-xs">
                                                                        <i class="fa fa-check"
                                                                            style="color: white !important; padding: -10px;" ></i>
                                                                    </button> 
                                                                    </td>
                                                                </tr>
                                                                <tr
                                                                    *ngFor="let item of listitem | paginate: { itemsPerPage: 5, currentPage: p }">
                                                                    <td class="table-img"><img
                                                                            src="http://127.0.0.1:8887/{{item?.photos[0]}}"
                                                                            alt="image" />
                                                                    </td>
                                                                    <td>{{item?.marque?.libelle}}</td>
                                                                    <td>{{item?.name}} </td>
                                                                    <td>{{item?.qte}}</td>
                                                                    <td>{{item?.detail}}</td>
                                                                    <td>{{item?.prixpromo}} TND</td>
                                                                    <td style="color:rgb(14, 172, 14) ;font-weight:bold ;">{{item?.remise}} %</td>
                                                                    <td>{{item?.prixreel}} TND</td>

                                                                    <td style="width: 20%;">
                                                                        <a (click)="open1(content1,item)"
                                                                            class="table-link  text-info">
                                                                            <span class="fa-stack" style="color:rgb(14, 172, 14) ;">
                                                                                <i class="fa fa-square fa-stack-2x"></i>
                                                                                <i
                                                                                    class="fa fa-pencil fa-stack-1x fa-inverse"></i>
                                                                            </span>
                                                                        </a>
                                                                        <a class="table-link danger"
                                                                            (click)="onOpenModal(item?.id)"
                                                                            data-original-title="delete"
                                                                            data-placement="top" data-toggle="tooltip">
                                                                            <span class="fa-stack">
                                                                                <i class="fa fa-square fa-stack-2x"></i>
                                                                                <i class="fa fa-trash-o fa-stack-1x fa-inverse"></i>
                                                                            </span>
                                                                        </a>
                                                                    </td>
                                                                </tr>
                                                                <!-- Modal Delete-->

                                                                <div class="modal fade" id="deleteSubdomaineModal"
                                                                    tabindex="-1" role="dialog"
                                                                    aria-labelledby="subdomaineDeleteModalLabel"
                                                                    aria-hidden="true">
                                                                    <div class="modal-dialog" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h5 class="modal-title"
                                                                                    id="deleteItemModalLabel">Delete
                                                                                    Item </h5>
                                                                                <button type="button" class="close"
                                                                                    data-dismiss="modal"
                                                                                    aria-label="Close">
                                                                                    <span
                                                                                        aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                <p>Are you sure you want to delete
                                                                                    item ?</p>
                                                                                <div class="modal-footer">
                                                                                    <button type="button"
                                                                                        class="btn btn-secondary"
                                                                                        id="deleteItemModal"
                                                                                        data-dismiss="modal">No</button>
                                                                                    <button class="btn btn-danger"
                                                                                        (click)="onDeletItem(deletItem?.id)"
                                                                                        data-dismiss="modal">Yes</button>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </tbody>
                                                        </table>
                                                        <pagination-controls (pageChange)="p = $event">
                                                        </pagination-controls>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                    <div class="btn-popup pull-right" *ngIf="add == true">
                        <button type="button" class="btn btn-primary" data-toggle="modal" data-original-title="test"
                            data-target="#exampleModal" (click)="save()">Save
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="btn-popup pull-right">
        <ng-template #content1 let-modal>
            <div class="modal-header">
                <h5 class="modal-title f-w-600" id="exampleModalLabel">Update Item</h5>
                <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form [formGroup]="addFormItem1" class="needs-validation">
                    <div class="form">
                        <div class="form-group row">
                            <label class="col-xl-3 col-sm-4 mb-0">Mark :</label>
                            <select class="form-control col-xl-8 col-sm-7" formControlName="id_marque">
                                <option *ngFor="let marque of listmarque" [value]="marque?.id">
                                    {{marque?.libelle}}</option>
                            </select>
                        </div>
                        <div class="form-group row">
                            <label class="col-xl-3 col-sm-4 mb-0">Item name :</label>
                            <input disabled formControlName="name" class="form-control col-xl-8 col-sm-7" type="text">
                        </div>
                        <div class="form-group row">
                            <label class="col-xl-3 col-sm-4 mb-0">Quantity :</label>
                            <input class="form-control col-xl-8 col-sm-7" type="number" formControlName="qte" min="0"
                                required="">

                        </div>
                        <div class="form-group row">
                            <label class="col-xl-3 col-sm-4 mb-0">Detail :</label>
                          
                            <textarea name="textarea" formControlName="detail"  class="form-control col-xl-8 col-sm-7" 
                                >Vous pouvez écrire ici.</textarea>

                        </div>
                        <div class="form-group row">
                            <label class="col-xl-3 col-sm-4 mb-0">promo Price :</label>
                            <input disabled (blur)="calculprixpromo1()" formControlName="prixpromo"
                                class="form-control col-xl-8 col-sm-7" type="number" min="0"> TND
                        </div>
                     
                        <div class="form-group row">
                            <label class="col-xl-3 col-sm-4 mb-0">Discount :</label>
                            <input  class="form-control col-xl-8 col-sm-7" type="number" min="0" formControlName="remise"
                                class="form-control digits col-xl-8 col-sm-7" required="" (blur)="calculprixpromo1()">%

                        </div>
                        <div class="form-group row">
                            <label class="col-xl-3 col-sm-4 mb-0">Real Price :</label>
                            <input disabled="true" class="form-control col-xl-8 col-sm-7" type="number" min="0"
                                formControlName="prixreel" required=""> TND

                        </div>
                        <div class="form-group row group-input">
                            <label class="col-xl-3 col-sm-4 mb-0">Image :</label>
                            <input type="file" (change)="onFileChange($event)" name="file" multiple
                                class="form-control col-xl-8 col-sm-7" placeholder="file">
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary"
                    (click)="onUpdateItem();modal.dismiss('Cross click')">Save</button>
                <button class="btn btn-secondary" type="button" data-dismiss="modal"
                    (click)="modal.dismiss('Cross click')">Close</button>
            </div>
        </ng-template>
    </div>


    <!-- Container-fluid Ends-->